
BHP150 | AZD 1222 - Data Fix #5792

name mis written

17/02/2022 13:49 - Lephata Shashane

Status: Resolved Start date: 17/02/2022

Priority: Normal Due date:

Assignee: moffat motlhanka % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Francistown

150-043941368-1

PLEASE CORRECT

Onthusistse instead of Othusitse

History

#1 - 14/03/2022 09:23 - Ame Diphoko

- Assignee changed from Gorata Korong to moffat motlhanka

#2 - 12/04/2022 18:55 - Samuel Kabelo

- Status changed from New to Resolved
